View Issue Details

IDProjectCategoryView StatusLast Update
0032029LazarusPatchpublic2017-06-22 18:34
ReporterFTurtle Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0032029: New IDE icons
DescriptionNew IDE icons
TagsNo tags attached.
Fixed in Revision55384
LazTarget-
Widgetset
Attached Files

Activities

FTurtle

2017-06-16 23:41

reporter  

images.zip (36,610 bytes)

FTurtle

2017-06-16 23:41

reporter  

patch.diff (7,791 bytes)   
Index: ide/findreplacedialog.pp
===================================================================
--- ide/findreplacedialog.pp	(revision 55359)
+++ ide/findreplacedialog.pp	(working copy)
@@ -139,7 +139,7 @@
   TextToFindLabel.Caption:=dlgTextToFind;
   ReplaceTextComboBox.Text:='';
   ReplaceWithCheckbox.Caption:=dlgReplaceWith;
-  TIDEImages.AssignImage(EnableAutoCompleteSpeedButton.Glyph, 'menu_stepinto');
+  TIDEImages.AssignImage(EnableAutoCompleteSpeedButton.Glyph, 'autocomplete');
   OptionsGroupBox.Caption:=lisOptions;
 
   with CaseSensitiveCheckBox do begin
Index: ide/toolbarconfig.pas
===================================================================
--- ide/toolbarconfig.pas	(revision 55359)
+++ ide/toolbarconfig.pas	(working copy)
@@ -190,10 +190,10 @@
   pnlButtons.Color := clBtnFace;
   lblSelect.Caption := '';
   // load button images
-  TIDEImages.AssignImage(btnAdd.Glyph, 'arrow_right');
-  TIDEImages.AssignImage(btnRemove.Glyph, 'arrow_left');
-  TIDEImages.AssignImage(btnMoveUp.Glyph, 'arrow_up');
-  TIDEImages.AssignImage(btnMoveDown.Glyph, 'arrow_down');
+  TIDEImages.AssignImage(btnAdd.Glyph, 'arrow__darkgreen_right');
+  TIDEImages.AssignImage(btnRemove.Glyph, 'arrow__darkred_left');
+  TIDEImages.AssignImage(btnMoveUp.Glyph, 'arrow__darkgreen_up');
+  TIDEImages.AssignImage(btnMoveDown.Glyph, 'arrow__darkgreen_down');
   TIDEImages.AssignImage(btnAddDivider.Glyph, 'menu_divider16');
 
   btnAddDivider.Caption := '---';
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 55359)
+++ images/copyright.txt	(working copy)
@@ -13,6 +13,33 @@
 
 actions directory:
 
+arrow__darkgreen_down.png
+arrow__darkgreen_down_150.png
+arrow__darkgreen_down_200.png
+arrow__darkgreen_left.png
+arrow__darkgreen_left_150.png
+arrow__darkgreen_left_200.png
+arrow__darkgreen_right.png
+arrow__darkgreen_right_150.png
+arrow__darkgreen_right_200.png
+arrow__darkgreen_up.png
+arrow__darkgreen_up_150.png
+arrow__darkgreen_up_200.png
+arrow__darkred_down.png
+arrow__darkred_down_150.png
+arrow__darkred_down_200.png
+arrow__darkred_left.png
+arrow__darkred_left_150.png
+arrow__darkred_left_200.png
+arrow__darkred_right.png
+arrow__darkred_right_150.png
+arrow__darkred_right_200.png
+arrow__darkred_up.png
+arrow__darkred_up_150.png
+arrow__darkred_up_200.png
+autocomplete.png
+autocomplete_150.png
+autocomplete_200.png
 laz_save.png
 laz_save_150.png
 laz_save_200.png
@@ -75,6 +102,9 @@
 menu_close_all.png
 menu_close_all_150.png
 menu_close_all_200.png
+menu_file_revert.png
+menu_file_revert_150.png
+menu_file_revert_200.png
 menu_goto_bookmark0.png
 menu_goto_bookmark1.png
 menu_goto_bookmark2.png
@@ -85,6 +115,27 @@
 menu_goto_bookmark7.png
 menu_goto_bookmark8.png
 menu_goto_bookmark9.png
+menu_goto_line.png
+menu_goto_line_150.png
+menu_goto_line_200.png
+menu_indent.png
+menu_indent_150.png
+menu_indent_200.png
+menu_jumpto_implementation.png
+menu_jumpto_implementationuses.png
+menu_jumpto_implementationuses_150.png
+menu_jumpto_implementationuses_200.png
+menu_jumpto_implementation_150.png
+menu_jumpto_implementation_200.png
+menu_jumpto_initialization.png
+menu_jumpto_initialization_150.png
+menu_jumpto_initialization_200.png
+menu_jumpto_interface.png
+menu_jumpto_interfaceuses.png
+menu_jumpto_interfaceuses_150.png
+menu_jumpto_interfaceuses_200.png
+menu_jumpto_interface_150.png
+menu_jumpto_interface_200.png
 menu_new.png
 menu_new_150.png
 menu_new_200.png
@@ -94,6 +145,9 @@
 menu_new_unit.png
 menu_new_unit_150.png
 menu_new_unit_200.png
+menu_redo.png
+menu_redo_150.png
+menu_redo_200.png
 menu_saveas.png
 menu_saveas_150.png
 menu_saveas_200.png
@@ -115,6 +169,12 @@
 menu_search_incremental.png
 menu_search_incremental_150.png
 menu_search_incremental_200.png
+menu_search_jumpback.png
+menu_search_jumpback_150.png
+menu_search_jumpback_200.png
+menu_search_jumpforward.png
+menu_search_jumpforward_150.png
+menu_search_jumpforward_200.png
 menu_search_next_bookmark.png
 menu_search_previous_bookmark.png
 menu_search_replace.png
@@ -141,6 +201,12 @@
 menu_toggle_bookmark7.png
 menu_toggle_bookmark8.png
 menu_toggle_bookmark9.png
+menu_undo.png
+menu_undo_150.png
+menu_undo_200.png
+menu_unindent.png
+menu_unindent_150.png
+menu_unindent_200.png
 menu_view_components.png
 menu_view_components_150.png
 menu_view_components_200.png
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 55359)
+++ images/laz_images_list.txt	(working copy)
@@ -17,6 +17,33 @@
 actions/arrow_up.png
 actions/arrow_up_150.png
 actions/arrow_up_200.png
+actions/arrow__darkgreen_down.png
+actions/arrow__darkgreen_down_150.png
+actions/arrow__darkgreen_down_200.png
+actions/arrow__darkgreen_left.png
+actions/arrow__darkgreen_left_150.png
+actions/arrow__darkgreen_left_200.png
+actions/arrow__darkgreen_right.png
+actions/arrow__darkgreen_right_150.png
+actions/arrow__darkgreen_right_200.png
+actions/arrow__darkgreen_up.png
+actions/arrow__darkgreen_up_150.png
+actions/arrow__darkgreen_up_200.png
+actions/arrow__darkred_down.png
+actions/arrow__darkred_down_150.png
+actions/arrow__darkred_down_200.png
+actions/arrow__darkred_left.png
+actions/arrow__darkred_left_150.png
+actions/arrow__darkred_left_200.png
+actions/arrow__darkred_right.png
+actions/arrow__darkred_right_150.png
+actions/arrow__darkred_right_200.png
+actions/arrow__darkred_up.png
+actions/arrow__darkred_up_150.png
+actions/arrow__darkred_up_200.png
+actions/autocomplete.png
+actions/autocomplete_150.png
+actions/autocomplete_200.png
 actions/execute.xpm
 actions/laz_delete.png
 actions/laz_delete_150.png
@@ -78,9 +105,15 @@
 menu/menu_exit.png
 menu/menu_file_print.png
 menu/menu_file_revert.png
+menu/menu_file_revert_150.png
+menu/menu_file_revert_200.png
 menu/menu_goto_line.png
+menu/menu_goto_line_150.png
+menu/menu_goto_line_200.png
 menu/menu_help.png
 menu/menu_indent.png
+menu/menu_indent_150.png
+menu/menu_indent_200.png
 menu/menu_information.png
 menu/menu_manage_desktops.png
 menu/menu_new.png
@@ -105,6 +138,8 @@
 menu/menu_project_viewsource.png
 menu/menu_quick_compile.png
 menu/menu_redo.png
+menu/menu_redo_150.png
+menu/menu_redo_200.png
 menu/menu_reportingbug.png
 menu/menu_reset_debugger.png
 menu/menu_run.png
@@ -134,12 +169,26 @@
 menu/menu_search_incremental_150.png
 menu/menu_search_incremental_200.png
 menu/menu_search_jumpback.png
+menu/menu_search_jumpback_150.png
+menu/menu_search_jumpback_200.png
 menu/menu_search_jumpforward.png
-menu/menu_jumpto_interface.png
-menu/menu_jumpto_interfaceuses.png
+menu/menu_search_jumpforward_150.png
+menu/menu_search_jumpforward_200.png
 menu/menu_jumpto_implementation.png
+menu/menu_jumpto_implementation_150.png
+menu/menu_jumpto_implementation_200.png
 menu/menu_jumpto_implementationuses.png
+menu/menu_jumpto_implementationuses_150.png
+menu/menu_jumpto_implementationuses_200.png
 menu/menu_jumpto_initialization.png
+menu/menu_jumpto_initialization_150.png
+menu/menu_jumpto_initialization_200.png
+menu/menu_jumpto_interface.png
+menu/menu_jumpto_interface_150.png
+menu/menu_jumpto_interface_200.png
+menu/menu_jumpto_interfaceuses.png
+menu/menu_jumpto_interfaceuses_150.png
+menu/menu_jumpto_interfaceuses_200.png
 menu/menu_jumpto_procedureheader.png
 menu/menu_jumpto_procedurebegin.png
 menu/menu_search_next_bookmark.png
@@ -169,7 +218,11 @@
 menu/menu_tool_syntax_check.png
 menu/menu_uncomment.png
 menu/menu_undo.png
+menu/menu_undo_150.png
+menu/menu_undo_200.png
 menu/menu_unindent.png
+menu/menu_unindent_150.png
+menu/menu_unindent_200.png
 menu/menu_view_anchor_editor.png
 menu/menu_view_code_browser.png
 menu/menu_view_code_explorer.png
patch.diff (7,791 bytes)   

wp

2017-06-17 10:44

developer   ~0101202

FTurtle, maybe you should know that there is a folder "image_sources" now on ccr where image source files can be stored. I created several highres component palette icons from layered gimp files, and these gimp files (or those of other primary programs) can be stored there. Having these files it is easier to recreate the images used in the IDE.

FTurtle

2017-06-17 22:54

reporter   ~0101207

Yes, it is a good approach. I think sources should be in repository. It will right if my sources will placed there too. Should I ask Vincent about write access to Lazarus-CCR?

wp

2017-06-18 00:47

developer   ~0101211

Last edited: 2017-06-18 01:01

View 2 revisions

Yes. Maybe you should ask also about getting write permission to the images folder of the lazarus repository.

P.S.
I wrote a mail to the devs mailing list. But in addition you should contact Vincent directly.

Ondrej Pokorny

2017-06-21 22:43

developer   ~0101259

Applied, thanks!

FTurtle

2017-06-22 18:34

reporter   ~0101284

Thank you

Issue History

Date Modified Username Field Change
2017-06-16 23:41 FTurtle New Issue
2017-06-16 23:41 FTurtle File Added: images.zip
2017-06-16 23:41 FTurtle File Added: patch.diff
2017-06-17 10:44 wp Note Added: 0101202
2017-06-17 22:54 FTurtle Note Added: 0101207
2017-06-18 00:47 wp Note Added: 0101211
2017-06-18 01:01 wp Note Edited: 0101211 View Revisions
2017-06-20 22:38 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-06-20 22:38 Ondrej Pokorny Status new => assigned
2017-06-21 22:42 Ondrej Pokorny Fixed in Revision => 55384
2017-06-21 22:42 Ondrej Pokorny LazTarget => -
2017-06-21 22:42 Ondrej Pokorny Status assigned => resolved
2017-06-21 22:42 Ondrej Pokorny Resolution open => fixed
2017-06-21 22:43 Ondrej Pokorny Note Added: 0101259
2017-06-22 18:34 FTurtle Note Added: 0101284
2017-06-22 18:34 FTurtle Status resolved => closed